import pytest
from tests.test_resources.api_test_runner import run_test_case

# marks all tests as jobsearch
pytestmark = [pytest.mark.jobsearch]

test_cases = [
    # these concept ids for occupation-name have changed between version 2 and version 21 of taxonomoy
    # and they are found in the test ads so that at least one ad is found for each test case
    {'params': {'occupation-name': 'p17k_znk_osi'}, 'jobsearch': 73},
    {'params': {'occupation-name': 'rJih_KYS_qUK'}, 'jobsearch': 2},
    {'params': {'occupation-name': '4Z7F_oBG_vMG'}, 'jobsearch': 22},
    {'params': {'occupation-name': 'Jd8e_1UD_8Vo'}, 'jobsearch': 6},
    pytest.param({'params': {'occupation-name': 'zGHj_2Jf_oKy'}, 'jobsearch': 31}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'edjC_rnL_gS3'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'yUZ5_WDk_24i'}, 'jobsearch': 10},
    {'params': {'occupation-name': 'Hob8_zfc_5ge'}, 'jobsearch': 15},
    {'params': {'occupation-name': 'bLKd_4Wg_3rn'}, 'jobsearch': 20},
    {'params': {'occupation-name': 'QaQC_ozP_Bme'}, 'jobsearch': 22},
    {'params': {'occupation-name': 'ZtTD_4VC_f4i'}, 'jobsearch': 11},
    pytest.param({'params': {'occupation-name': 'Y3QA_5pk_uXd'}, 'jobsearch': 88}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'PQkQ_Dmk_ZF8'}, 'jobsearch': 24},
    {'params': {'occupation-name': 'CmFu_Dkt_fkX'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'BK8D_hZe_dtk'}, 'jobsearch': 39},
    {'params': {'occupation-name': 'geNh_Yah_F3J'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'fg7B_yov_smw'}, 'jobsearch': 94},
    {'params': {'occupation-name': '8jrL_5RZ_9Kt'}, 'jobsearch': 42},
    {'params': {'occupation-name': 'dYo1_D8c_87U'}, 'jobsearch': 42},
    {'params': {'occupation-name': 'n2Tp_B8E_gED'}, 'jobsearch': 22},
    {'params': {'occupation-name': '8Uhp_XYo_z5f'}, 'jobsearch': 65},
    {'params': {'occupation-name': '3abF_Jyu_WtS'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'uyJg_i94_xmr'}, 'jobsearch': 12},
    {'params': {'occupation-name': 'raVz_oTw_N3e'}, 'jobsearch': 30},
    {'params': {'occupation-name': 'J5oq_tNd_6RU'}, 'jobsearch': 12},
    {'params': {'occupation-name': 'gPCx_T6e_6P8'}, 'jobsearch': 22},
    {'params': {'occupation-name': 'HWPy_9jT_TX2'}, 'jobsearch': 10},
    pytest.param({'params': {'occupation-name': 'heGV_uHh_o8W'}, 'jobsearch': 28}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'pYiF_Z6V_ULQ'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'PXPJ_LKH_pmy'}, 'jobsearch': 7},
    {'params': {'occupation-name': 'uaJs_9YA_Cnp'}, 'jobsearch': 22},
    {'params': {'occupation-name': 'c32f_KpH_CfN'}, 'jobsearch': 35},
    {'params': {'occupation-name': 'Pj8T_bST_f7D'}, 'jobsearch': 7},
    {'params': {'occupation-name': 'DudY_Vj2_wa5'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'bB8c_hxh_wPj'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'y22E_Nz6_5VU'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'Kh3N_Kg8_KK5'}, 'jobsearch': 3},
    {'params': {'occupation-name': '7YaM_bPu_c1T'}, 'jobsearch': 6},
    {'params': {'occupation-name': 'WX68_sGe_oUm'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'BHdM_TVA_baC'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'M6Yt_ynM_FDQ'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'Sbzf_iBA_MAS'}, 'jobsearch': 11},
    {'params': {'occupation-name': 'TTDZ_Neo_9GJ'}, 'jobsearch': 9},
    {'params': {'occupation-name': 'CZkP_hCz_KM8'}, 'jobsearch': 14},
    {'params': {'occupation-name': 'rGGf_KLs_To7'}, 'jobsearch': 27},
    {'params': {'occupation-name': 'pAdE_uVY_JrR'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'HdcS_g6a_jPk'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'EwkH_3Xb_r8j'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'rUcW_z9R_Qsv'}, 'jobsearch': 41},
    {'params': {'occupation-name': 'ZS86_sdx_bx5'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'C6Cv_9ZR_7Gb'}, 'jobsearch': 15},
    {'params': {'occupation-name': 'qSXj_aXc_EGp'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'reEg_XH4_15c'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'WRaF_xkF_AoB'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'SgGz_7JC_dtw'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'xMbt_y3G_BrD'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'zHXG_Wfc_TY7'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'u5R6_Lhs_uf4'}, 'jobsearch': 6},
    {'params': {'occupation-name': 's5pR_WNm_R8W'}, 'jobsearch': 35},
    {'params': {'occupation-name': 'FcaP_vhz_Cuy'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'KQty_E1u_cia'}, 'jobsearch': 35},
    {'params': {'occupation-name': 'YKhj_n5P_g4P'}, 'jobsearch': 10},
    {'params': {'occupation-name': 'Pi5N_5NB_7BY'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'eeih_cfx_RhP'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'cyCt_LLE_qDy'}, 'jobsearch': 3},
    pytest.param({'params': {'occupation-name': 'pBhS_6fg_727'}, 'jobsearch': 49}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'mC28_vEv_AVx'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'Jx4V_6tm_fUH'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'kHno_7rL_Lcm'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'zVkQ_wLL_78i'}, 'jobsearch': 11},
    {'params': {'occupation-name': 'aWNX_iEg_NhN'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'YtrL_oQj_sck'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'T9MX_dmQ_t5n'}, 'jobsearch': 1},
    {'params': {'occupation-name': '4QjK_RpG_h4w'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'MMTE_fiP_1Ng'}, 'jobsearch': 20},
    {'params': {'occupation-name': 'w8eg_Ufq_B5X'}, 'jobsearch': 10},
    {'params': {'occupation-name': 'TTF3_T1t_58U'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'BT8G_RDJ_ofc'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'bbSi_hWq_H98'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'hQtr_vwy_MGb'}, 'jobsearch': 10},
    {'params': {'occupation-name': '1ciU_tMj_Toc'}, 'jobsearch': 7},
    {'params': {'occupation-name': 'dh7h_HbH_Cus'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'wHUj_vsP_Jhn'}, 'jobsearch': 30},
    {'params': {'occupation-name': 'Nzmh_iTb_z7h'}, 'jobsearch': 77},
    {'params': {'occupation-name': 'MGBV_LVk_AtK'}, 'jobsearch': 4},
    pytest.param({'params': {'occupation-name': 'iYgm_hfD_Bez'}, 'jobsearch': 89}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'uwYE_D2Z_45B'}, 'jobsearch': 12},
    {'params': {'occupation-name': 'YG1s_tUg_jWJ'}, 'jobsearch': 23},
    {'params': {'occupation-name': 'XugJ_6hw_wVV'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'HciA_Cu7_FXt'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'aR3a_5Ly_TDw'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'tdCZ_6Pn_VzT'}, 'jobsearch': 21},
    {'params': {'occupation-name': 'Ma36_ont_7tz'}, 'jobsearch': 6},
    {'params': {'occupation-name': 'XGDo_aFb_64o'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'yjaM_pAe_u9m'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'EvmU_s9w_euP'}, 'jobsearch': 9},
    pytest.param({'params': {'occupation-name': 'KRGZ_uFp_LuK'}, 'jobsearch': 15}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'bXfh_r3N_Wue'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'zrQ9_1z2_kT3'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'wV1P_Ms5_HB2'}, 'jobsearch': 3},
    {'params': {'occupation-name': '4PUw_jdZ_1wC'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'eDCK_B3K_cqW'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'H9ej_iRx_9G6'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'Wcmx_rPX_ooC'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'JjXV_QEg_EQ1'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Cqo8_tUs_JHu'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'sDjW_zkk_bXW'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'qtPc_BJB_SYL'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'EEN6_NCm_XgJ'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'An93_8wX_7R6'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'tHZB_LJU_8LG'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'X7oZ_fbn_TgG'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'urWs_F5u_msS'}, 'jobsearch': 6},
    {'params': {'occupation-name': 'cEY1_Bh8_URP'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'tDS5_hG2_ML5'}, 'jobsearch': 4},
    {'params': {'occupation-name': 's28Q_sya_S2b'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'fo9m_5cC_y8G'}, 'jobsearch': 3},
    {'params': {'occupation-name': '6TQs_8i6_per'}, 'jobsearch': 5},
    {'params': {'occupation-name': '74pa_EJB_huE'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'dCVP_nzp_jDd'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'TWef_KC4_wak'}, 'jobsearch': 1},
    {'params': {'occupation-name': '3jF9_6FT_qTr'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'm49c_MEL_Ft2'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'rp67_sqK_cLB'}, 'jobsearch': 7},
    {'params': {'occupation-name': 'j6P1_gJq_a2Q'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'ajWc_95L_PnQ'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'FC86_VDF_rqB'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'MiYT_1JK_fKe'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'kf7K_UAZ_ed8'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Hw94_pWL_RZ4'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'MbHj_ZVr_WsC'}, 'jobsearch': 6},
    {'params': {'occupation-name': '1d3z_y59_2Hm'}, 'jobsearch': 9},
    pytest.param({'params': {'occupation-name': 'Fcpk_WQT_4hS'}, 'jobsearch': 12}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'Fr7W_Yjv_3ik'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'd2gz_es2_pX5'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'f8q7_Rwv_TP4'}, 'jobsearch': 37},
    {'params': {'occupation-name': 'QREG_zsK_FLo'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'juPt_n2E_aBv'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'iyQT_LJi_c2Z'}, 'jobsearch': 2},
    {'params': {'occupation-name': '8tSq_t1z_MRT'}, 'jobsearch': 6},
    {'params': {'occupation-name': '9NVZ_LfD_vqT'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'Ce5J_e8j_7oh'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'ws82_14c_tmG'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'qLCw_Azv_m1h'}, 'jobsearch': 1},
    {'params': {'occupation-name': '7K8b_4EE_w5e'}, 'jobsearch': 7},
    {'params': {'occupation-name': 'wEd2_PmP_Pbi'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'vPyM_A9W_WqV'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'XzvX_AHE_ECV'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'MQHi_q9J_x2d'}, 'jobsearch': 7},
    {'params': {'occupation-name': 'hCMr_L4F_8hq'}, 'jobsearch': 1},
    {'params': {'occupation-name': '1oPB_E5L_n8e'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'MJvj_tVV_zpZ'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'MgLp_anW_jr5'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'FvY5_W17_kDE'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'hFXv_BPn_oow'}, 'jobsearch': 1},
    pytest.param({'params': {'occupation-name': 'yAhe_6tb_jn8'}, 'jobsearch': 21}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'tsdt_MEd_bUS'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'GrZU_ofe_QAx'}, 'jobsearch': 11},
    {'params': {'occupation-name': 'YNzT_LZS_SZe'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'bhk6_aNU_xRe'}, 'jobsearch': 8},
    {'params': {'occupation-name': 'EBur_MWp_Xkz'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'GZXT_V3B_3yJ'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'etkf_dBn_JbW'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'yCma_MSk_AMH'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'XHyR_e9A_sqQ'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'EPe8_EQu_YCL'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'iqE3_kXw_wPM'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'ELkQ_6o5_XSi'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'HPwW_eF7_CgY'}, 'jobsearch': 3},
    {'params': {'occupation-name': '7rct_y2Q_NSe'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Dgx7_yw6_CaN'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'Jt42_Mjo_zC5'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'wUKi_LRW_Wxk'}, 'jobsearch': 3},
    {'params': {'occupation-name': '461J_HHW_wzZ'}, 'jobsearch': 4},
    {'params': {'occupation-name': '7Kxn_MMG_TuY'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'V1MG_d8m_H8f'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'LJZw_d7H_QWZ'}, 'jobsearch': 1},
    {'params': {'occupation-name': '7sZa_8wP_hqW'}, 'jobsearch': 1},
    pytest.param({'params': {'occupation-name': 'pHNj_F3k_Dmd'}, 'jobsearch': 12}, marks=pytest.mark.smoke),
    {'params': {'occupation-name': 'QjKb_RaU_KEd'}, 'jobsearch': 3},
    {'params': {'occupation-name': '1hZc_5BC_K7q'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'NikA_KEh_Ky4'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'JQ6T_58U_sTP'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'r6AA_UrV_qw3'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'hu7j_cLR_HBo'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'QBXT_ESH_eoP'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'NqN3_Mur_sGB'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'rTeH_EoT_FuA'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'iwfM_TL3_Duw'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'a8AC_eQX_cgd'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'pJKs_jnz_qCp'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'VpYo_k5f_N9R'}, 'jobsearch': 2},
    {'params': {'occupation-name': '5Nkq_7DE_hoo'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'aRp4_qjZ_tPV'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'p96L_aTJ_kkG'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'UEee_Vz8_EN6'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'LX5L_e6N_4jS'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'vE2q_wQB_NGv'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'eH4L_6k6_Eok'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'PeNQ_qpR_wTS'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'yeAd_C6h_DqV'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'soGu_JNp_Pni'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'sFsH_YqP_pZ4'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Xoz2_dQe_9KC'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'TFdz_Dvb_vwc'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'jsCP_rsS_i9W'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'NzUp_Gcr_4Hw'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'UXrZ_zPo_KPu'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'ofiS_5F2_YmV'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'a6Hu_zpi_ALp'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'ZyDH_2Xe_bfK'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'ZCjB_SX4_Mjj'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'nRLP_eqC_ow9'}, 'jobsearch': 3},
    {'params': {'occupation-name': '2YDV_mGq_LpN'}, 'jobsearch': 4},
    {'params': {'occupation-name': '3NQt_h54_Qy7'}, 'jobsearch': 1},
    {'params': {'occupation-name': '2ouu_Ebh_M4B'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'a1E3_mkT_gPe'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'Wz1E_3L9_Uqt'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'JZur_dmf_EPY'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'fRKT_Fdr_fHL'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'WhsT_BWb_dPy'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'cJ62_FKk_ua6'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'CJc9_tSF_DN2'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'YHB5_wmX_UCt'}, 'jobsearch': 5},
    {'params': {'occupation-name': 'XSoL_LLU_PYV'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'ytrP_JCv_bwH'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'CsB1_HC2_EbL'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'ujWA_LfK_Kxk'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'Q9B2_yN1_XtF'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'q1k8_CXz_7Nd'}, 'jobsearch': 1},
    {'params': {'occupation-name': '1mBD_3PT_t2h'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'G4NL_bcU_Xpr'}, 'jobsearch': 1},
    {'params': {'occupation-name': '1Wdh_jwR_Foy'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'X6Et_pui_vj1'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'wr3k_f6E_vh2'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'bXhQ_wQa_GE7'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'ueNj_nxL_pMh'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'dKVR_7ew_sCA'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'fi74_DJo_f75'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'Yx7u_AbE_Jqk'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'tzHp_Aw9_qQQ'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Y86G_M6o_9R8'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'WFfW_RYg_t2A'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'V9Es_YZL_3kL'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'pdKf_yyX_vWc'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'JQ3q_X9q_aTC'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'APXv_QHZ_dkt'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'wtxi_ss9_8Cj'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'vLvB_4hV_koL'}, 'jobsearch': 1},
    {'params': {'occupation-name': '6m7f_UQX_P7j'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'nvUH_JLD_s4F'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'gqQC_PXg_gkU'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'cYP6_Tur_q6m'}, 'jobsearch': 3},
    {'params': {'occupation-name': 'UYaR_8e9_wGy'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'YmFo_cvw_1Kv'}, 'jobsearch': 2},
    {'params': {'occupation-name': 'TppD_R5Y_kiG'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'hJuL_n8p_UEM'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'wonQ_qBw_Wef'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'nPMz_8iK_NmL'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'HFuj_YCt_Ymn'}, 'jobsearch': 4},
    {'params': {'occupation-name': '2RC6_tLW_jCJ'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'vUZt_BHY_mk2'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'TGHy_oZw_vad'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Edjj_2Q7_P8X'}, 'jobsearch': 1},
    {'params': {'occupation-name': '9iGw_Yfv_VZS'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'ghs4_JXU_BYt'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'geo3_qtw_3eP'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Uoeq_F5q_18w'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'QUmN_cfC_zPn'}, 'jobsearch': 4},
    {'params': {'occupation-name': 'Khp2_9py_dv2'}, 'jobsearch': 7},
    {'params': {'occupation-name': 'BduY_UUY_pvK'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'VCsj_Uve_6EJ'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'Ym1L_d8s_cad'}, 'jobsearch': 1},
    {'params': {'occupation-name': '7yzW_dCg_7s7'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'RhoN_Vdo_F5H'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'sbKP_NHi_eiv'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'pfiK_oXH_eYR'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'gg8C_YzS_Dxq'}, 'jobsearch': 1},
    {'params': {'occupation-name': 'g2XL_xyr_wS7'}, 'jobsearch': 1},
]


@pytest.mark.smoke
@pytest.mark.parametrize("test_case", test_cases)
def test_occupation_name_diff_v2_v21(test_case):
    run_test_case(test_case)
